LINUX.ORG.RU

Firefox 55.0.1 (64-bit) Manjaro linux - проблема с профилем - искажает шрифты

 ,


0

1

Проблема в самом профиле, с пустого проблем нет. Можно конечно его удалить убить кучу времени и заново установить все дополнения, настроить под себя все параметры в about:config, залогиниться но новой во всех посещаемых сайтах, заново добавить в яндексе и мейле дополнительные ящики, и сделать ещё какие настройки, что я мог упустить, но без которых браузер как чужой.

Поэтому вопрос - как исправить следующие проблемы, какие удалить файлы?

1) несмотря на установленный файл локализации и включение RU в about:config, все остаётся по аглицки.

2) изменился размер шрифтов и возможно сами шрифты. Элементы на сайте перестали помещаться в отведенные им окна, занимают больше строк. Масштаб сброшен в 0, ничего не делал. Думаю что это обновление мне поломало настройки.

Начиная с версии 55 - новый формат profile, без обратной совместимостью с pre-55.
Вероятно, в этом и заключается причина ошибок со шрифтами.

blitz ()
Ответ на: комментарий от blitz

Пришлось сносить под ноль профиль со всеми своими настройками, потому, что необоримые глюки (искажения шрифтов сайтов, пропажа русификации интерфейса, итд) превратили работу в муку. При этом выяснилось, что дополнения, к которым я привык, в новой версии не работают, авторам FreGate пхй на Firefox, а замену FreGate я пока искать не готов. Пришлось извращаться, опять сносить полунастроенный профиль, и ставить с нуля старую версию firefox-45.9.0esr, затем на неё Fregate, а затем ставить последний firefox-55.0.2.tar.bz2 и уже после этого ставить и настраивать оставшиеся плагины. И да, ещё FBReader последний не ставится, пришлось ставить старую версию 0.26.1-signed.
В общем я сильно за*бался со всем этим из-за долбанных глюков обновлений firefox. Ещё немного, придется валить или на хром или оперу, хотя они мне нравятся куда меньше..

Постоянно приходится прокачивать скилл about:config и также регулярно там устаревают ключи, и опять гугли по новой.

И если работает плагин, как можно отключить проверку совместимости версий, чтобы я сам решал ставить мне его или нет?

hikikomori ★★ ()
Ответ на: комментарий от hikikomori

Сам, собрал себе firefox-52.3.0esr, с настройками приватности и анонимности.

http://i.imgur.com/fbSDJPk.png

Кириллица и латиница, отображаются верно. На шрифты - жалоб нет.

И если работает плагин, как можно отключить проверку совместимости версий, чтобы я сам решал ставить мне его или нет?

Отключить проверку - нельзя.
В файле install.rdf - выставить минимальную версию 49, в твоём случае.

    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>52.0</em:minVersion>
        <em:maxVersion>55.0</em:maxVersion>
      </Description>
    </em:targetApplication>

blitz ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.